Subject: bug#77792: Org-cite incorrectly parses periods after citekeys

From: Ihor Radchenko <[email-masked]>
Date: Tue, 15 Apr 2025 17:48:09 +0000

Zac E <[email-masked]> writes:

> In a list of citations in footnote format, one often needs to 
> separate some of the citations with periods. This is not 
> currently possible with org-cite, although it is possible in 
> other parsers like Pandoc. Org-cite fails to recognize the citekey
> to which the period is appended, resulting in an undefined-citation
> error. Escaping the period with a backslash resolves the undefined-
> citation error, but actually prints the backslash in the final output, 
> which is not correct either. Below, one finds examples of both. 
> My example outputs assume that one is exporting to abbreviated 
> footnotes, but this error is consistent across all citation export 
> modes.
>
> EXAMPLE 1: 
> [cite:@cohen2003consum-repub.;@trentmann2016empire-things]

This is ambiguous. "." can be a part of citation key.
There is no bug here. Just a limitation that we cannot easily force end
of citation key in Org syntax.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>